import { addDialog } from "@/components/ReDialog";
// import { ref, h } from "vue";
import OurPlayer from "@/components/VideoPlayer/OurPlayer.vue";
// import { http } from "@/utils/http";

export function videoUtil() {
  // const currentPlayingIndex = ref(-1);
  const columns: TableColumnList = [
    {
      label: "视频内时间",
      prop: "relative_time",
      minWidth: 100,
      sortable: true
    },
    {
      label: "异常类型",
      prop: "exception_type",
      minWidth: 100
    },
    {
      label: "异常ID",
      prop: "abnormal_id",
      minWidth: 100
    },
    {
      label: "异常行为",
      prop: "abnormal_behavior",
      minWidth: 100,
      slot: "violation"
    },
    {
      label: "异常关键帧",
      slot: "image"
    },
    {
      label: "异常视频定位",
      slot: "video"
    }
    // {
    //   label: "视频",
    //   slot: "video"
    // },
  ];
  function openDialog(title = "视频", row) {
    const highlights = [
      // 进度条时间点高亮
      {
        text: row.event_type,
        time: row.relative_time
      }
    ];
    sessionStorage.setItem("video_url", row.abnormal_video);
    sessionStorage.setItem("highlights", JSON.stringify(highlights));
    addDialog({
      title: `${title}用户`,
      width: "40%",
      draggable: true,
      fullscreenIcon: true,
      closeOnClickModal: false,
      contentRenderer: () => <OurPlayer></OurPlayer>
      // return h(
      //   "video",
      //   {
      //     controls: true,
      //     id: "video-" + index,
      //     onPlay: () => playVideo(row, index)
      //   },
      //   [h("source", { src: row.video_dir, type: "video/mp4" })]
      // );
    });
  }

  return {
    columns,
    openDialog
  };
}
